xkb_compose_table Struct Reference
Compose and dead-keys support

`#include <xkbcommon-compose.h>`

## Public Member Functions

struct xkb_compose_table * | xkb_compose_table_new_from_locale (struct xkb_context *context, const char *locale, enum xkb_compose_compile_flags flags)
struct xkb_compose_table * | xkb_compose_table_new_from_file (struct xkb_context *context, FILE *file, const char *locale, enum xkb_compose_format format, enum xkb_compose_compile_flags flags)
struct xkb_compose_table * | xkb_compose_table_new_from_buffer (struct xkb_context *context, const char *buffer, size_t length, const char *locale, enum xkb_compose_format format, enum xkb_compose_compile_flags flags)
struct xkb_compose_table * | xkb_compose_table_ref (struct xkb_compose_table *table)
void | xkb_compose_table_unref (struct xkb_compose_table *table)

## Detailed Description

Opaque Compose table object.

The compose table holds the definitions of the Compose sequences, as gathered from Compose files. It is immutable.

The documentation for this struct was generated from the following file:

- xkbcommon/xkbcommon-compose.h